[mypy]
# The mypy configurations: https://mypy.readthedocs.io/en/latest/config_file.html
python_version = 3.11

check_untyped_defs = True
disallow_any_generics = True
disallow_untyped_calls = True
disallow_untyped_decorators = True
ignore_errors = False
ignore_missing_imports = True
implicit_reexport = False
strict_optional = True
strict_equality = True
no_implicit_optional = True
warn_unused_ignores = True
warn_redundant_casts = True
warn_unused_configs = True
warn_unreachable = True
warn_no_return = True
files = store_warehouse_FastAPI
show_error_codes = True

[mypy-migrations.*]
ignore_errors = True

[mypy-*.settings.*]
ignore_errors = True

[flake8]
exclude = .git,__pycache__,settings,*/migrations/*,*/versions/*

[isort]
sections=FUTURE,STDLIB,THIRDPARTY,FIRSTPARTY,LOCALFOLDER
lines_after_imports=2
multi_line_output=3
include_trailing_comma=true
skip = __init__.py
